#
# spec file for package gostcrypt
#
# Copyright (c) 2015 Packman Team <packman@links2linux.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.links2linux.org/
#

Name:           gostcrypt
Version:        1.3
%if 0%{?fedora}
Release:        pm152.2.8
%else
Release:        pm152.2.8
%endif
License:        TrueCrypt Collective License and GPL-3.0
Summary:        Free Open-Source Disk Encryption Software
Url:            http://www.gostcrypt.org
Group:          Productivity/Security
Source:         http://www.gostcrypt.org/download/%{version}/linux/GostCrypt_Linux_%{version}.tar.gz
Source1:        %{name}.desktop
# PATCH-FIX-UPSTREAM gostcrypt-1.0-tc_token_err.patch
Patch0:         gostcrypt-1.0-tc_token_err.patch
# PATCH-FIX-UPSTREAM gostcrypt-1.0-fix-abi-gcc5.patch
Patch1:         gostcrypt-1.0-fix-abi-gcc5.patch
# PATCH-FIX-UPSTREAM gostcrypt-1.3-fix-inline-warnings.patch
Patch2:         gostcrypt-1.3-fix-inline-warnings.patch
Patch3:         GostCrypt.inline.patch
BuildRequires:  gcc-c++
BuildRequires:  fuse-devel
%if 0%{?suse_version}
BuildRequires:  update-desktop-files
BuildRequires:  wxWidgets-wxcontainer-devel
Requires:       libwx_gtk2u_core-2_8-0-compat-lib-wxcontainer
%else
%if 0%{?fedora}
BuildRequires:  wxGTK-devel
BuildRequires:  desktop-file-utils
%endif
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The Gostcrypt project has been launched at the end of 2013 as fork of the
(late) Truecrypt project.

Snowden's leaks have made clear more than ever that the massive use of
encryption by citizens must become a reality. This is possible only if
there is a vast, rich offer of trusted, open source products like
Truecrypt, with the strong support of the hacker community. However, at
that time we did not foresee the unprecedented upheaval of terrible shock
with the recent Truecrypt disappearance.

More than ever we all need more and more projects to replace it. Gostcrypt
is one among (we hope) many others.

The variety and richness of encryption solutions is THE solution.

%prep
%setup -q -n GostCrypt_Linux_%{version}
%patch0
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
LIBS=-ldl make %{?_smp_mflags}

%install
rm -r %{buildroot}
mkdir -p %{buildroot}%{_bindir}
install -m 0755 Main/%{name} %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/pixmaps
install -m 0644 Resources/Icons/GostCrypt-48x48.xpm %{buildroot}%{_datadir}/pixmaps/%{name}.xpm

%if 0%{?suse_version}
%suse_update_desktop_file -i %{name}
%else
%if 0%{?fedora}
desktop-file-install --dir %{buildroot}%{_datadir}/applications %{SOURCE1}
%endif
%endif

# License.txt, License.html and GostCryptUserGuide.pdf have wrong excutable permission:
chmod -x License.txt License.html "Release/Setup Files/GostCryptUserGuide.pdf"

%if 0%{?suse_version}
%post
%desktop_database_post
%icon_theme_cache_post

%postun
%desktop_database_postun
%icon_theme_cache_postun
%endif

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_datadir}/pixmaps/%{name}.xpm
%{_datadir}/applications/%{name}.desktop
%doc License.txt License.html "Release/Setup Files/GostCryptUserGuide.pdf"

%changelog
* Sat Jan 23 2016 antoine.belvire@laposte.net
- Update to 1.3:
  * Add Grasshopper algorithm
  * Fix some bugs
  * Attention: containers from 1.0 are not compatible with 1.3, you
    have to create new containers and transfer your data to them.
- Remove gostcrypt-1.0-long-long-32bit.patch (upstreamed)
- Add gostcrypt-1.3-fix-inline-warnings.patch
* Thu Dec 10 2015 antoine.belvire@laposte.net
- Add gostcrypt-1.0-fix-abi-gcc5.patch:
  * Fix the Fuse "invalid characters" error when trying to mount
    an encrypted file on Tumbleweed
* Fri Oct 23 2015 antoine.belvire@laposte.net
- Improve spec file:
  * Change copyright owner (now Packman Team)
  * Add calls to desktop_database_{post,postun} macros
  * Add calls to icon_theme_cache_{post,postun} macros
* Thu Apr  2 2015 antoine.belvire@laposte.net
- Provide RPM compatibility with Fedora
  * add conditionals in spec file
  * add .desktop file as source instead of creating it with
    %%suse_update_desktop_file --create
* Tue Jan 20 2015 antoine.belvire@laposte.net
- Clean spec file
* Sun Jan 18 2015 antoine.belvire@laposte.net
- Add "Requires: libwx_gtk2u_core-2_8-0-compat-lib-wxcontainer" to
  spec file in order to solve some installation problems
* Fri Jan 16 2015 antoine.belvire@laposte.net
- New source file with pkcs included (no version change by upstream
  though)
- Add gostcrypt-1.0-long-long-32bit.patch: fix compilation for i586
  (change unsigned long into unsigned long long in Crypto/Stribog.c)
- Add GostCryptUserGuide.pdf to documentation
* Fri Jan  9 2015 antoine.belvire@laposte.net
- Create rpm for GostCrypt 1.0
